Bug 842492 - Unable to use application blueprint <parameter> tags
Unable to use application blueprint <parameter> tags
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-conductor (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 23:03 EDT by Etsuji Nakai
Modified: 2013-07-10 09:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 09:49:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix bug: launch time params cannot be overwritten (623 bytes, patch)
2012-07-25 23:04 EDT, Etsuji Nakai
no flags Details | Diff

  None (edit)
Description Etsuji Nakai 2012-07-23 23:03:44 EDT
Description of problem:

When using application blueprint <parameter> tags, the following error appears on application parameter setting screen.

undefined method `id' for #<ServiceXML:0x000000065ec148>

with the following rails.log:

------------
Rendered layouts/_nav_history.html.haml (0.8ms)
Rendered deployments/launch_time_params.html.haml within layouts/application (79.4ms)
undefined method `id' for #<ServiceXML:0x000000065ec148>
/usr/share/aeolus-conductor/app/views/deployments/launch_time_params.html.haml:17:in `block (2 levels) in _app_views_deployments_launch_time_params_html_haml___1369199103212720710_53442640_1068190091963049443'
 /usr/share/aeolus-conductor/app/views/deployments/launch_time_params.html.haml:16:in `each'
------------

I found the likely patch for this in the aeolus-devel ML.

https://fedorahosted.org/pipermail/aeolus-devel/2012-July/011441.html


Version-Release number of selected component (if applicable):

# rpm -qa | grep aeolus
rubygem-aeolus-cli-0.5.0-1.fc17.noarch
aeolus-configure-2.6.1-1.fc17.noarch
aeolus-conductor-0.10.4-1.fc17.noarch
rubygem-aeolus-image-0.5.0-1.fc17.noarch
aeolus-conductor-doc-0.10.4-1.fc17.noarch
aeolus-conductor-daemons-0.10.4-1.fc17.noarch
aeolus-all-0.10.4-1.fc17.noarch
Comment 1 Etsuji Nakai 2012-07-24 00:10:01 EDT
I tried the patch in aeolus-devel ML.

https://fedorahosted.org/pipermail/aeolus-devel/2012-July/011441.html

Then the Undfined method error disappered, but it caused another problem. User input parameters are ignored and default values (coded in the application blueprint) are used.
Comment 2 Etsuji Nakai 2012-07-25 23:04:07 EDT
Created attachment 600423 [details]
Fix bug: launch time params cannot be overwritten
Comment 3 Etsuji Nakai 2012-07-25 23:08:52 EDT
The attachement 600423 is a patch to fix the bug that user input for launch time params are ignored.

@deployment should be saved to call "before_create :inject_launch_parameters" *before* calling @deployment.create_and_launch().
Comment 4 Fedora End Of Life 2013-07-03 21:09:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Mo Morsi 2013-07-10 09:49:24 EDT
conductor has been discontinued. Closing

Note You need to log in before you can comment on or make changes to this bug.